
#ifndef _OAITOOLS_H_
#define _OAITOOLS_H_

#include "text_t.h"
#include "comtypes.h"
#include "receptionist.h"

class oaiclassifier {
 public:
  static text_t getGSDL_OID(const text_t &collection, const text_t& oai_id, recptproto *protocol, 
			    ostream &logout);
  static void   toOAI(const text_t &collection, text_t &classifier);
  static void   toGSDL(text_t &collection, text_t &classifier);
 private:
  static void   swapColonsAndPeriods(text_t &classifier);
};
#endif
